## herculesstudio 1.2.0

=== Makefile ===
#############################################################################
# Makefile for building: HerculesStudio
# Generated by qmake (2.01a) (Qt 4.6.2) on: Sun Jul 18 12:10:46 2010
# Project:  HerculesStudio.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile HerculesStudio.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -IHercConfiguration -IHercStudio -Iui -IHercUtilities -Imoc -Iui
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = HercStudio/LogWidget.cpp \
		HercStudio/IplConfig.cpp \
		HercStudio/MipsLed.cpp \
		HercStudio/MipsGauge.cpp \
		HercStudio/FontPreferences.cpp \
		HercConfiguration/DevicesRename.cpp \
		HercConfiguration/DevicesPane.cpp \
		HercConfiguration/DeviceTypes.cpp \
		HercConfiguration/DeviceMenuProcessor.cpp \
		HercStudio/MainWindow.cpp \
		HercStudio/Arguments.cpp \
		HercConfiguration/CardReaderProperties.cpp \
		HercConfiguration/ConfigFile.cpp \
		HercConfiguration/ConfigLine.cpp \
		HercConfiguration/Configuration.cpp \
		HercConfiguration/ConfigurationEditor.cpp \
		HercConfiguration/ConsoleProperties.cpp \
		HercConfiguration/CtcProperties.cpp \
		HercConfiguration/DasdProperties.cpp \
		HercConfiguration/DeviceConfigLine.cpp \
		HercConfiguration/DeviceConfigView.cpp \
		HercConfiguration/DeviceListView.cpp \
		HercConfiguration/DevicesWidget.cpp \
		HercConfiguration/Extended_Ui_CardReaderProperties.cpp \
		HercConfiguration/GenericDeviceProperties.cpp \
		HercConfiguration/NewReaderFile.cpp \
		HercConfiguration/PrinterProperties.cpp \
		HercConfiguration/PunchProperties.cpp \
		HercConfiguration/ReaderFileListView.cpp \
		HercConfiguration/StatusUpdateCollector.cpp \
		HercConfiguration/SysgProperties.cpp \
		HercConfiguration/SystemConfigLine.cpp \
		HercConfiguration/TapeProperties.cpp \
		HercConfiguration/TerminalProperties.cpp \
		HercConfiguration/VisualizedDeviceEntry.cpp \
		HercStudio/CommandLine.cpp \
		HercStudio/Environment.cpp \
		HercStudio/Fonts.cpp \
		HercStudio/HelpAbout.cpp \
		HercStudio/HerculesExecutor.cpp \
		HercStudio/LogRunner.cpp \
		HercStudio/main.cpp \
		HercStudio/MainPanel.cpp \
		HercStudio/Mips.cpp \
		HercStudio/NamedPipe.cpp \
		HercStudio/PanelButton.cpp \
		HercStudio/Preferences.cpp \
		HercStudio/PreferencesWin.cpp \
		HercStudio/Psw.cpp \
		HercStudio/Recovery.cpp \
		HercStudio/Regs32.cpp \
		HercStudio/Regs64.cpp \
		HercStudio/Runner.cpp \
		HercStudio/StatusRunner.cpp \
		HercStudio/SynchronizedQueue.cpp \
		HercStudio/Watchdog.cpp \
		HercUtilities/Dasdcat.cpp \
		HercUtilities/Dasdconv.cpp \
		HercUtilities/Dasdcopy.cpp \
		HercUtilities/DasdInit.cpp \
		HercUtilities/DasdIsup.cpp \
		HercUtilities/DasdLoad.cpp \
		HercUtilities/Dasdls.cpp \
		HercUtilities/DasdTab.cpp \
		HercUtilities/LineEditWithFocus.cpp \
		HercUtilities/SystemUtils.cpp \
		HercUtilities/UtilityExecutor.cpp \
		HercUtilities/UtilityRunner.cpp moc/moc_LogWidget.cpp \
		moc/moc_IplConfig.cpp \
		moc/moc_MipsLed.cpp \
		moc/moc_MipsGauge.cpp \
		moc/moc_DevicesRename.cpp \
		moc/moc_DevicesPane.cpp \
		moc/moc_DeviceMenuProcessor.cpp \
		moc/moc_MainWindow.cpp \
		moc/moc_CardReaderProperties.cpp \
		moc/moc_Configuration.cpp \
		moc/moc_ConsoleProperties.cpp \
		moc/moc_CtcProperties.cpp \
		moc/moc_DasdProperties.cpp \
		moc/moc_DeviceConfigView.cpp \
		moc/moc_DeviceListView.cpp \
		moc/moc_DevicesWidget.cpp \
		moc/moc_GenericDeviceProperties.cpp \
		moc/moc_NewReaderFile.cpp \
		moc/moc_PrinterProperties.cpp \
		moc/moc_PunchProperties.cpp \
		moc/moc_TapeProperties.cpp \
		moc/moc_TerminalProperties.cpp \
		moc/moc_CommandLine.cpp \
		moc/moc_HelpAbout.cpp \
		moc/moc_LogRunner.cpp \
		moc/moc_MainPanel.cpp \
		moc/moc_PanelButton.cpp \
		moc/moc_PreferencesWin.cpp \
		moc/moc_Recovery.cpp \
		moc/moc_Regs32.cpp \
		moc/moc_Runner.cpp \
		moc/moc_StatusRunner.cpp \
		moc/moc_Watchdog.cpp \
		moc/moc_Dasdcat.cpp \
		moc/moc_Dasdconv.cpp \
		moc/moc_Dasdcopy.cpp \
		moc/moc_DasdInit.cpp \
		moc/moc_DasdIsup.cpp \
		moc/moc_DasdLoad.cpp \
		moc/moc_Dasdls.cpp \
		moc/moc_LineEditWithFocus.cpp \
		moc/moc_UtilityRunner.cpp \
		qrc_HercStudio.cpp
OBJECTS       = obj/LogWidget.o \
		obj/IplConfig.o \
		obj/MipsLed.o \
		obj/MipsGauge.o \
		obj/FontPreferences.o \
		obj/DevicesRename.o \
		obj/DevicesPane.o \
		obj/DeviceTypes.o \
		obj/DeviceMenuProcessor.o \
		obj/MainWindow.o \
		obj/Arguments.o \
		obj/CardReaderProperties.o \
		obj/ConfigFile.o \
		obj/ConfigLine.o \
		obj/Configuration.o \
		obj/ConfigurationEditor.o \
		obj/ConsoleProperties.o \
		obj/CtcProperties.o \
		obj/DasdProperties.o \
		obj/DeviceConfigLine.o \
		obj/DeviceConfigView.o \
		obj/DeviceListView.o \
		obj/DevicesWidget.o \
		obj/Extended_Ui_CardReaderProperties.o \
		obj/GenericDeviceProperties.o \
		obj/NewReaderFile.o \
		obj/PrinterProperties.o \
		obj/PunchProperties.o \
		obj/ReaderFileListView.o \
		obj/StatusUpdateCollector.o \
		obj/SysgProperties.o \
		obj/SystemConfigLine.o \
		obj/TapeProperties.o \
		obj/TerminalProperties.o \
		obj/VisualizedDeviceEntry.o \
		obj/CommandLine.o \
		obj/Environment.o \
		obj/Fonts.o \
		obj/HelpAbout.o \
		obj/HerculesExecutor.o \
		obj/LogRunner.o \
		obj/main.o \
		obj/MainPanel.o \
		obj/Mips.o \
		obj/NamedPipe.o \
		obj/PanelButton.o \
		obj/Preferences.o \
		obj/PreferencesWin.o \
		obj/Psw.o \
		obj/Recovery.o \
		obj/Regs32.o \
		obj/Regs64.o \
		obj/Runner.o \
		obj/StatusRunner.o \
		obj/SynchronizedQueue.o \
		obj/Watchdog.o \
		obj/Dasdcat.o \
		obj/Dasdconv.o \
		obj/Dasdcopy.o \
		obj/DasdInit.o \
		obj/DasdIsup.o \
		obj/DasdLoad.o \
		obj/Dasdls.o \
		obj/DasdTab.o \
		obj/LineEditWithFocus.o \
		obj/SystemUtils.o \
		obj/UtilityExecutor.o \
		obj/UtilityRunner.o \
		obj/moc_LogWidget.o \
		obj/moc_IplConfig.o \
		obj/moc_MipsLed.o \
		obj/moc_MipsGauge.o \
		obj/moc_DevicesRename.o \
		obj/moc_DevicesPane.o \
		obj/moc_DeviceMenuProcessor.o \
		obj/moc_MainWindow.o \
		obj/moc_CardReaderProperties.o \
		obj/moc_Configuration.o \
		obj/moc_ConsoleProperties.o \
		obj/moc_CtcProperties.o \
		obj/moc_DasdProperties.o \
		obj/moc_DeviceConfigView.o \
		obj/moc_DeviceListView.o \
		obj/moc_DevicesWidget.o \
		obj/moc_GenericDeviceProperties.o \
		obj/moc_NewReaderFile.o \
		obj/moc_PrinterProperties.o \
		obj/moc_PunchProperties.o \
		obj/moc_TapeProperties.o \
		obj/moc_TerminalProperties.o \
		obj/moc_CommandLine.o \
		obj/moc_HelpAbout.o \
		obj/moc_LogRunner.o \
		obj/moc_MainPanel.o \
		obj/moc_PanelButton.o \
		obj/moc_PreferencesWin.o \
		obj/moc_Recovery.o \
		obj/moc_Regs32.o \
		obj/moc_Runner.o \
		obj/moc_StatusRunner.o \
		obj/moc_Watchdog.o \
		obj/moc_Dasdcat.o \
		obj/moc_Dasdconv.o \
		obj/moc_Dasdcopy.o \
		obj/moc_DasdInit.o \
		obj/moc_DasdIsup.o \
		obj/moc_DasdLoad.o \
		obj/moc_Dasdls.o \
		obj/moc_LineEditWithFocus.o \
		obj/moc_UtilityRunner.o \
		obj/qrc_HercStudio.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		HerculesStudio.pro
QMAKE_TARGET  = HerculesStudio
DESTDIR       = 
TARGET        = HerculesStudio

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui/ui_IplConfig.h ui/ui_DevicesRename.h ui/ui_DasdInit.h ui/ui_MainWindow.h ui/ui_Devices.h ui/ui_CardReaderProperties.h ui/ui_Configuration.h ui/ui_ConsoleProperties.h ui/ui_CtcProperties.h ui/ui_DasdProperties.h ui/ui_hercconfiguration.h ui/ui_PrinterProperties.h ui/ui_PunchProperties.h ui/ui_TapeProperties.h ui/ui_TerminalProperties.h ui/ui_helpabout.h ui/ui_preferenceswin.h ui/ui_Recovery.h ui/ui_Dasdcat.h ui/ui_Dasdconv.h ui/ui_Dasdcopy.h ui/ui_DasdIsup.h ui/ui_DasdLoad.h ui/ui_Dasdls.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: HerculesStudio.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile HerculesStudio.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile HerculesStudio.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/HerculesStudio1.0.0 || $(MKDIR) obj/HerculesStudio1.0.0

=== debian/changelog ===
herculesstudio (1.2.0-2) unstable; urgency=low

  * Remove mLine mutable attribute  (Closes: #624984)
  * Bump standard version to 3.9.2, add build-arch and build-indep 
    debian/rules target

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 23 Jun 2011 00:18:54 +0800

herculesstudio (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #585510)

 -- Liang Guo <bluestonechina@gmail.com>  Sun, 10 Apr 2011 02:47:38 +0800

=== debian/control ===
Source: herculesstudio
Section: otherosfs
Priority: extra
Maintainer: Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), qt4-qmake, libqt4-dev, quilt (>= 0.48-7~)
Standards-Version: 3.9.2
Homepage: http://www.mvsdasd.org/hercstudio/
Vcs-Git: git://git.debian.org/collab-maint/herculesstudio.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/herculesstudio.git;a=summary

Package: herculesstudio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hercules (>= 3.07-2.1)
Description: Hercules GUI front-end
 Hercules Studio is a GUI front-end of the Hercules mainframe Emulator. 
 With Hercules Studio, you can easily control and monitor the hercules 
 virtual machine.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Hercules Studio

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir
	dh_quilt_patch
	qmake HerculesStudio.pro -o Makefile2
	$(MAKE) -f Makefile2
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	qmake HerculesStudio.pro -o Makefile2
	$(MAKE) -f Makefile2 distclean
	dh_quilt_unpatch
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	mkdir -p debian/tmp/usr/bin
	cp HerculesStudio debian/tmp/usr/bin/
	mkdir -p debian/tmp/usr/share/herculesstudio
	cp -r HercStudio/icons debian/tmp/usr/share/herculesstudio/
	mkdir -p debian/tmp/usr/share/pixmaps
	cp debian/HerculesStudio.xpm debian/tmp/usr/share/pixmaps/
	mkdir -p debian/tmp/usr/share/applications
	cp debian/herculesstudio.desktop debian/tmp//usr/share/applications/
	chmod 644 debian/tmp/usr/share/herculesstudio/icons/*.png

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installmenu
	dh_lintian
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch 
.PHONY: build clean binary-indep binary-arch binary install

## herculesstudio 1.3.0

=== debian/changelog ===
herculesstudio (1.3.0-2) unstable; urgency=low

  * debian/copyright:
    - Update Format to obey DEP-5
  * debian/control:
    - Bump Standards-Version to 3.9.3
  * Add patch fix-ftbfs-g++-4.7.patch (Closes: #667199)

 -- Liang Guo <bluestonechina@gmail.com>  Tue, 10 Apr 2012 20:37:20 +0800

herculesstudio (1.3.0-1) unstable; urgency=low

  * New upstream release
  * Remove remove_duplicated_IplConfig.patch, applied upstream
  * Remove remove_mutable_on_configline.patch, applied upstream
  * Update copyright to obey DEP-5
  * Chmod of usr/share/herculesstudio/icons/*.gif to 644

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 28 Jul 2011 23:45:57 +0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Liang Guo <bluestonechina@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), qt4-qmake, libqt4-dev, quilt (>= 0.48-7~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.mvsdasd.org/hercstudio/
 Vcs-Git: git://git.debian.org/collab-maint/herculesstudio.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/herculesstudio.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	mkdir -p debian/tmp/usr/share/applications
 	cp debian/herculesstudio.desktop debian/tmp//usr/share/applications/
 	chmod 644 debian/tmp/usr/share/herculesstudio/icons/*.png
+	chmod 644 debian/tmp/usr/share/herculesstudio/icons/*.gif
 
 binary-indep: build install

## herculesstudio 1.4.0

=== debian/changelog ===
herculesstudio (1.4.0-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards-Version to 3.9.4

 -- Liang Guo <guoliang@debian.org>  Sun, 12 May 2013 00:24:01 +0800

herculesstudio (1.4.0-1) experimental; urgency=low

  * New upstream release
  * Remove patch fix-ftbfs-g++-4.7.patch, applied upstream
  * Enable security hardening build flags
  * debian/control:
    - Update my email address
  * debian/copyright:
    - Update copyright year information, updated upstream

 -- Liang Guo <guoliang@debian.org>  Thu, 03 Jan 2013 22:30:49 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: herculesstudio
 Section: otherosfs
 Priority: extra
-Maintainer: Liang Guo <bluestonechina@gmail.com>
+Maintainer: Liang Guo <guoliang@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), qt4-qmake, libqt4-dev, quilt (>= 0.48-7~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.mvsdasd.org/hercstudio/
 Vcs-Git: git://git.debian.org/collab-maint/herculesstudio.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/herculesstudio.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+QMAKE_CFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" 
+QMAKE_CXXFLAGS_RELEASE="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" 
+QMAKE_LFLAGS_RELEASE="$(shell dpkg-buildflags --get LDFLAGS)" 
 
 build-arch: build
 build-indep: build
@@ -10,7 +13,7 @@
 build-stamp:
 	dh_testdir
 	dh_quilt_patch
-	qmake HerculesStudio.pro -o Makefile2
+	qmake 'QMAKE_CFLAGS_RELEASE = $(QMAKE_CFLAGS_RELEASE)' 'QMAKE_CXXFLAGS_RELEASE = $(QMAKE_CXXFLAGS_RELEASE)' 'QMAKE_LFLAGS_RELEASE = $(QMAKE_LFLAGS_RELEASE)' HerculesStudio.pro -o Makefile2
 	$(MAKE) -f Makefile2
 	touch build-stamp

## herculesstudio 1.5.0

=== debian/changelog ===
herculesstudio (1.5.0-6) unstable; urgency=medium

  * QA upload.
  * Generate PNG icons for the hicolor XDG icon theme from the macOS
    hercstudio.icns resource
    - add the icnsutils build dependency
  * Drop menu file and its pixmap, since herculesstudio already provides a
    .desktop file.
  * Convert rules to the dh sequencer.
  * Simplify installation a bit, avoiding the usage of debian/tmp:
    - run the upstream installation directly to the package destdir
    - copy the rest of the files directly, either using dh_install or manually
  * Move the permissions fixing to the dh_fixperms phase.
  * Update watch file.
  * Bump debhelper from old 12 to 13.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Drop the unused quilt build dependency.
  * Make the build verbose; patch verbose-build.diff.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Dec 2021 13:22:59 +0100

herculesstudio (1.5.0-5) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 7 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on quilt.
    + herculesstudio: Drop versioned constraint on hercules in Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:22:42 +0100

herculesstudio (1.5.0-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
    + Set maintainer to Debian QA Group.
    + Set Vcs-* fields to be git packaging repo under Salsa Debian
      Group.
    + Update homepage field to a valid one. (Closes: #915434)
  * debian/rules: Fix FTCBFS. (Closes: #928798)

 -- Boyuan Yang <byang@debian.org>  Wed, 27 May 2020 10:27:06 -0400

herculesstudio (1.5.0-3) unstable; urgency=low

  * Update project homepage and author e-mail address
  * Update my e-mail address

 -- Liang Guo <guoliang@debian.org>  Wed, 09 Sep 2015 13:58:56 +0800

herculesstudio (1.5.0-2) unstable; urgency=high

  * Use qtchooser to find qt5 qmake binary (Closes: #754607)

 -- Liang Guo <guoliang@debian.org>  Mon, 14 Jul 2014 06:15:38 +0800

herculesstudio (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright:
    - Update copyright year information, updated upstream
  * debian/control:
    - Bump Standards-Version to 3.9.5
    - Switch to qt5
    - Use canonical VCS field

 -- Liang Guo <guoliang@debian.org>  Thu, 10 Jul 2014 22:40:05 +0800

=== debian/control ===
Source: herculesstudio
Section: otherosfs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
 qt5-qmake,
 qtbase5-dev,
 icnsutils,
Standards-Version: 4.6.0
Homepage: http://hercstudio.sourceforge.net/
Vcs-Git: https://salsa.debian.org/debian/herculesstudio.git
Vcs-Browser: https://salsa.debian.org/debian/herculesstudio
Rules-Requires-Root: no

Package: herculesstudio
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hercules
Description: Hercules GUI front-end
 Hercules Studio is a GUI front-end of the Hercules mainframe Emulator.
 With Hercules Studio, you can easily control and monitor the hercules
 virtual machine.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for Hercules Studio

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export QT_SELECT = 5

%:
	dh $@

execute_after_dh_auto_install:
	mkdir debian/tmp-icons
	icns2png -x -d 32 -o debian/tmp-icons hercstudio.icns
	set -e; for size in 16 32 48 128 256 512; do \
	  mkdir -p debian/herculesstudio/usr/share/icons/hicolor/$${size}x$${size}/apps; \
	  mv debian/tmp-icons/hercstudio_$${size}x$${size}x32.png debian/herculesstudio/usr/share/icons/hicolor/$${size}x$${size}/apps/HerculesStudio.png; \
	done
	rmdir debian/tmp-icons

execute_after_dh_fixperms:
	chmod -x debian/herculesstudio/usr/share/herculesstudio/icons/*.gif

=== debian/watch ===
version=4
https://hercstudio.sourceforge.io herculesstudio-(.*)-src\.tar\.gz
